# Get Business Verifications

## Get Business Verifications

<mark style="color:blue;">`GET`</mark> `https://vapi.verifyme.ng/v1/verifications/businesses`&#x20;

This endpoint allows you to get all business verifications.

#### Query Parameters

| Name  | Type   | Description                              |
| ----- | ------ | ---------------------------------------- |
|       | number | Number of verifications to ski           |
| limit | number | Number of verifications to fetch at once |

#### Headers

| Name           | Type   | Description |
| -------------- | ------ | ----------- |
| Authentication | string |             |

{% tabs %}
{% tab title="200 " %}

```
{
"status": "success",
"_pagination": {
    "limit": 0,
    "offset": 0,
    "total": 2
},
"data": [
    {
    id: 1,
    applicant: {
        firstname: "John",
        lastname: "Doe",
        phone:"08000000000",
        idType: "bvn",
        idNumber: "10000000001",
        middlename: "Cameron',
        photo: "https://images.verifyme.ng/278783775/fjjjjler7834.jpg",
        gender: "Male",
        birthdate: '17/01/1988',
    },
    business: {
        name: "Ade & Sons Global World",
        type: "Formal",
        rcNumber:"123453",
        isBusinessKnown : true,
        isBusinessOwnerKnown : true
        ownerVisitsFrequently : false
    },
    canContactPoc: "false",
    isCorrectBusinessName: "false",
    businessNameFound: "Ade & Sons International Limited",
    businessArea: "commecial",
    businessPhotos: ["https://picsum.photos/id/768/200/300.jpg", "https://picsum.photos/id/768/200/300.jpg","https://picsum.photos/id/768/200/300.jpg"],
    createdAt: "",
    completedAt: "",
    lattitude: "9.081999",
    longitude: "8.675277",
    status: {
        status: "In Progress",
        subStatus: "In Progress",
        state: "In Progress",
    },
    city: "oshodi",
    street: "270 Murtala Muhammed Way, Alagomeji. Yaba",
    lga: "lagos mainland",
    state: "Lagos",
    country: "Nigeria",
    }
    
    {
    id: 2,
    applicant: {
        firstname: "Janet",
        lastname: "Does",
        phone:"08000000000",
        idType: "bvn",
        idNumber: "10000000001",
        middlename: "Cameron',
        photo: "https://images.verifyme.ng/278783775/fjjjjler7834.jpg",
        gender: "Female",
        birthdate: '18/01/1988',
    },
    business: {
        name: "Adant Global Limited",
        type: "Informal",
        rcNumber:"123453",
    },
    canContactPoc: "true",
    isCorrectBusinessName: "true",
    businessArea: "residential",
    businessPhotos: ["https://picsum.photos/id/768/200/300.jpg", "https://picsum.photos/id/768/200/300.jpg","https://picsum.photos/id/768/200/300.jpg"],
    createdAt: "",
    completedAt: "",
    lattitude: "9.081999",
    longitude: "8.675277",
    status: {
        status: "In Progress",
        subStatus: "In Progress",
        state: "In Progress",
    },
    city: "oshodi",
    street: "270 Murtala Muhammed Way, Alagomeji. Yaba",
    lga: "lagos mainland",
    state: "Lagos",
    country: "Nigeria",
    reference: "VMN_djfskfjw"
    }
]
}

```

{% endtab %}

{% tab title="500 Internal Server Error" %}

```
{
    "status": "error",
    "message": "string",
    "code": "INTERNAL_SERVER_ERROR"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="CURL" %}

```
curl --verbose  
    --header "Authorization: Bearer <token>" 
    --request "GET" "https://vapi.verifyme.ng/v1/verifications/businesses?limit=10&offset=0"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifyme.ng/business-verification/business-1-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
